Bug 751856 - Provide native systemd unit file
Provide native systemd unit file
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On: 718654
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-11-07 15:01 EST by Mike Burns
Modified: 2015-12-02 08:35 EST (History)
10 users (show)

See Also:
Fixed In Version: 2.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 718654
Environment:
Last Closed: 2012-03-26 16:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2011-11-07 15:01:10 EST
+++ This bug was initially created as a clone of Bug #718654 +++

Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fabian Deutsch 2012-02-28 12:29:30 EST
After the migration of the ovirt sysv init script, it seems as if it will become a bit messy in the spec file.
Also this might seem to be a bit redundant, moving files from rc.d to libexec, but I still think that this is the right way to go - this will become clear as soon sas the init scripts get migrated to python.

I'll push the changes to the node-systemd branch: http://gerrit.ovirt.org/#q,status:open+project:ovirt-node+branch:master+topic:node-systemd,n,z
Comment 2 Fabian Deutsch 2012-03-06 09:11:50 EST
I've migrated all init scripts to systemd service files, the patches can be found in the node-systemd branch: http://gerrit.ovirt.org/#q,status:open+project:ovirt-node+branch:master+topic:node-systemd,n,z

First tests showed no regressions, but I want to confirm this. I'll also provide some more patches to consolidate some files and remove redundancies to have a nice base for the 2.3 release.
Comment 3 Fabian Deutsch 2012-03-19 05:28:37 EDT
I've build an image and the unit files seem to work fine. 
The image was absed on this http://gerrit.ovirt.org/#q,status:open+project:ovirt-node+branch:master+topic:node-systemd,n,z queue

Note You need to log in before you can comment on or make changes to this bug.